sopel_6.3.0-1_all.deb


Advertisement

Description

sopel - simple, lightweight, open source, easy-to-use IRC utility bot

Distribution: Ubuntu 16.04 LTS (Xenial Xerus)
Repository: Ubuntu Universe i386
Package name: sopel
Package version: 6.3.0
Package release: 1
Package architecture: all
Package type: deb
Installed size: 458 B
Download size: 103.06 KB
Official Mirror: archive.ubuntu.com
Sopel is a simple, lightweight, open source, easy-to-use IRC utility bot, written in Python. It's designed to be easy to use, easy to run, and easy to make new features for. Sopel comes with a ton of ready-made features for you to use. It can leave notes for people, give you reminders, check RSS feeds, and much more. Sopel also comes with a fully-documented and easy-to-use API, so you can write your own features. There's also an easy tutorial you can follow along with, to help you learn. Developing for Sopel is a great way to familiarize yourself with Python. It's easy to start, but there's no limit to the cool things you can do with it. Sopel was also known as Willie, Phenny or Jenni in previous incarnations.

Alternatives

Provides

  • willie

Replaces

  • willie

    Download

    Binary package: sopel_6.3.0-1_all.deb
    Source package: sopel

    Install Howto

    1. Update the package index:
      # sudo apt-get update
    2. Install sopel deb package:
      # sudo apt-get install sopel

    Files

    • /etc/sopel.cfg
    • /etc/init.d/sopel
    • /lib/systemd/system/sopel.service
    • /usr/bin/sopel
    • /usr/lib/python3/dist-packages/sopel/__init__.py
    • /usr/lib/python3/dist-packages/sopel/bot.py
    • /usr/lib/python3/dist-packages/sopel/coretasks.py
    • /usr/lib/python3/dist-packages/sopel/db.py
    • /usr/lib/python3/dist-packages/sopel/formatting.py
    • /usr/lib/python3/dist-packages/sopel/irc.py
    • /usr/lib/python3/dist-packages/sopel/loader.py
    • /usr/lib/python3/dist-packages/sopel/logger.py
    • /usr/lib/python3/dist-packages/sopel/module.py
    • /usr/lib/python3/dist-packages/sopel/run_script.py
    • /usr/lib/python3/dist-packages/sopel/test_tools.py
    • /usr/lib/python3/dist-packages/sopel/trigger.py
    • /usr/lib/python3/dist-packages/sopel/web.py
    • /usr/lib/python3/dist-packages/sopel-6.3.0.egg-info/PKG-INFO
    • /usr/lib/python3/dist-packages/sopel-6.3.0.egg-info/dependency_links.txt
    • /usr/lib/python3/dist-packages/sopel-6.3.0.egg-info/entry_points.txt
    • /usr/lib/python3/dist-packages/sopel-6.3.0.egg-info/requires.txt
    • /usr/lib/python3/dist-packages/sopel-6.3.0.egg-info/top_level.txt
    • /usr/lib/python3/dist-packages/sopel/config/__init__.py
    • /usr/lib/python3/dist-packages/sopel/config/core_section.py
    • /usr/lib/python3/dist-packages/sopel/config/types.py
    • /usr/lib/python3/dist-packages/sopel/modules/__init__.py
    • /usr/lib/python3/dist-packages/sopel/modules/admin.py
    • /usr/lib/python3/dist-packages/sopel/modules/adminchannel.py
    • /usr/lib/python3/dist-packages/sopel/modules/announce.py
    • /usr/lib/python3/dist-packages/sopel/modules/bugzilla.py
    • /usr/lib/python3/dist-packages/sopel/modules/calc.py
    • /usr/lib/python3/dist-packages/sopel/modules/clock.py
    • /usr/lib/python3/dist-packages/sopel/modules/countdown.py
    • /usr/lib/python3/dist-packages/sopel/modules/currency.py
    • /usr/lib/python3/dist-packages/sopel/modules/dice.py
    • /usr/lib/python3/dist-packages/sopel/modules/etymology.py
    • /usr/lib/python3/dist-packages/sopel/modules/find.py
    • /usr/lib/python3/dist-packages/sopel/modules/find_updates.py
    • /usr/lib/python3/dist-packages/sopel/modules/help.py
    • /usr/lib/python3/dist-packages/sopel/modules/ip.py
    • /usr/lib/python3/dist-packages/sopel/modules/ipython.py
    • /usr/lib/python3/dist-packages/sopel/modules/isup.py
    • /usr/lib/python3/dist-packages/sopel/modules/lmgtfy.py
    • /usr/lib/python3/dist-packages/sopel/modules/meetbot.py
    • /usr/lib/python3/dist-packages/sopel/modules/movie.py
    • /usr/lib/python3/dist-packages/sopel/modules/ping.py
    • /usr/lib/python3/dist-packages/sopel/modules/rand.py
    • /usr/lib/python3/dist-packages/sopel/modules/reddit.py
    • /usr/lib/python3/dist-packages/sopel/modules/reload.py
    • /usr/lib/python3/dist-packages/sopel/modules/remind.py
    • /usr/lib/python3/dist-packages/sopel/modules/safety.py
    • /usr/lib/python3/dist-packages/sopel/modules/search.py
    • /usr/lib/python3/dist-packages/sopel/modules/seen.py
    • /usr/lib/python3/dist-packages/sopel/modules/spellcheck.py
    • /usr/lib/python3/dist-packages/sopel/modules/tell.py
    • /usr/lib/python3/dist-packages/sopel/modules/tld.py
    • /usr/lib/python3/dist-packages/sopel/modules/translate.py
    • /usr/lib/python3/dist-packages/sopel/modules/unicode_info.py
    • /usr/lib/python3/dist-packages/sopel/modules/units.py
    • /usr/lib/python3/dist-packages/sopel/modules/uptime.py
    • /usr/lib/python3/dist-packages/sopel/modules/url.py
    • /usr/lib/python3/dist-packages/sopel/modules/version.py
    • /usr/lib/python3/dist-packages/sopel/modules/weather.py
    • /usr/lib/python3/dist-packages/sopel/modules/wikipedia.py
    • /usr/lib/python3/dist-packages/sopel/modules/wiktionary.py
    • /usr/lib/python3/dist-packages/sopel/modules/xkcd.py
    • /usr/lib/python3/dist-packages/sopel/tools/__init__.py
    • /usr/lib/python3/dist-packages/sopel/tools/_events.py
    • /usr/lib/python3/dist-packages/sopel/tools/calculation.py
    • /usr/lib/python3/dist-packages/sopel/tools/jobs.py
    • /usr/lib/python3/dist-packages/sopel/tools/target.py
    • /usr/lib/python3/dist-packages/sopel/tools/time.py
    • /usr/share/doc/sopel/NEWS.Debian.gz
    • /usr/share/doc/sopel/NEWS.gz
    • /usr/share/doc/sopel/README.Debian
    • /usr/share/doc/sopel/README.rst
    • /usr/share/doc/sopel/changelog.Debian.gz
    • /usr/share/doc/sopel/copyright
    • /usr/share/doc/sopel/dev-requirements.txt
    • /usr/share/doc/sopel/update_db.py
    • /usr/share/man/man1/sopel.1.gz
    • /usr/share/man/man1/willie.1.gz

    Changelog

    2016-02-15 - Antoine Beaupré <anarcat@debian.org> sopel (6.3.0-1) unstable; urgency=medium * new upstream release * remove sopel.service rename patch, merged upstream * added new requests dependency

    2015-12-08 - Antoine Beaupré <anarcat@debian.org> sopel (6.1.1-1) unstable; urgency=medium * new upstream release * completely rename package to sopel to follow upstream

    2015-09-09 - Antoine Beaupré <anarcat@debian.org> willie (5.5.1-1) unstable; urgency=low * new upstream release

    2015-08-24 - Antoine Beaupré <anarcat@debian.org> willie (5.5.0-1) unstable; urgency=medium * new upstream release * start rename to sopel, binaries still installed as willie for now, which will probably change upstream at some point

    2015-05-20 - Antoine Beaupré <anarcat@debian.org> willie (5.3.0-1) unstable; urgency=medium * fix init.d stop function so that it returns the proper value (Closes: #782564)

    2015-03-18 - Antoine Beaupré <anarcat@debian.org> willie (5.2.0-1) unstable; urgency=medium * new upstream release

    2015-02-05 - Antoine Beaupré <anarcat@debian.org> willie (5.0.0-1) unstable; urgency=medium * new upstream release * update watch file and gbp to follow new upstream tag naming convention * ship a (probably incomplete) database upgrade script, see NEWS.Debian for details

    2014-12-17 - Antoine Beaupré <anarcat@debian.org> willie (4.6.1-1) unstable; urgency=medium * new upstream release * use dh-systemd to enable willie properly under systemd instances on boot, install and upgrades

    2014-12-09 - Antoine Beaupré <anarcat@debian.org> willie (4.5.1-2) unstable; urgency=medium * switch to python3 * remove comments * create the watchfile * remove hidden directory in dirs * remove README.source template * make git-dch work * remove geoip recommends: willie needs pygeoip, which is different from GeoIP, the C extension

    2014-11-29 - Antoine Beaupré <anarcat@debian.org> willie (4.5.1-1) unstable; urgency=low * Initial release (Closes: #771403)

    Advertisement
    Advertisement